import { Process, Processor } from "@nestjs/bull";
import { Job } from 'bull';

import { ScraperCndMtServise } from "./scraper-cnd-mt.service";

@Processor('mato-grosso')
export class ScraperMtProcessor {
    constructor(private readonly scraperCndMtService: ScraperCndMtServise) {}

    @Process({ name: 'mato-grosso', concurrency: 1})
    handler(job: Job) {
        const { inscricao } = job.data;
        return this.scraperCndMtService.scraperCndMt(inscricao);
    }
}
